Page MenuHomePhabricator

Implement fixes from first pass of MediaInfo security review
Closed, ResolvedPublic

Description

Security review ticket is here

https://phabricator.wikimedia.org/T200279

Related Objects

StatusAssignedTask
OpenNone
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
Resolveddaniel
OpenMholloway
OpenMholloway
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
InvalidTgr
Resolveddaniel
ResolvedTgr
ResolvedTgr
ResolvedTgr
ResolvedBstorm
ResolvedCCicalese_WMF
ResolvedCparle
Resolvedmatthiasmullie
Resolvedegardner
ResolvedCparle
Resolvedegardner
Resolvedmatthiasmullie
ResolvedCparle
ResolvedCparle
OpenNone
ResolvedCparle
ResolvedJdforrester-WMF
OpenNone
ResolvedNone
ResolvedCparle
ResolvedJdforrester-WMF
ResolvedCparle
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedCparle
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedCparle
Resolvedegardner
OpenNone
OpenNone
Resolvedmatthiasmullie
Resolvedegardner
ResolvedRamsey-WMF
ResolvedEdtadros
ResolvedEdtadros
ResolvedEdtadros
ResolvedHa78na
OpenNone
OpenCparle
ResolvedCparle
ResolvedCparle
ResolvedCparle
ResolvedCparle
OpenNone
OpenCparle
ResolvedCparle
ResolvedCparle
OpenNone
DuplicateCparle
ResolvedCparle
ResolvedCparle
OpenNone
Resolvedmatthiasmullie
OpenNone
Resolvedmatthiasmullie
ResolvedEBernhardson
ResolvedRamsey-WMF
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedCparle
OpenNone
Openmatthiasmullie
Resolvedmatthiasmullie
OpenNone
Openmatthiasmullie
OpenNone
ResolvedCparle
ResolvedRamsey-WMF
Resolvedthiemowmde
ResolvedMarkTraceur
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedCparle
DeclinedCparle
DeclinedCparle
DeclinedCparle
ResolvedCparle
ResolvedEdtadros
OpenNone
OpenNone
OpenNone
OpenNone
OpenCparle
ResolvedCparle
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedRamsey-WMF
ResolvedBawolff

Event Timeline

Cparle created this task.Oct 9 2018, 3:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2018, 3:46 PM

Change 466531 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Security fixes from T200279

https://gerrit.wikimedia.org/r/466531

Change 466531 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Security fixes from T200279

https://gerrit.wikimedia.org/r/466531

Jdforrester-WMF moved this task from To Do to Doing on the SDC Engineering board.Oct 11 2018, 7:13 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Oct 17 2018, 5:07 PM
Ramsey-WMF triaged this task as High priority.
Cparle renamed this task from Implement fixes from MediaInfo security review to Implement fixes from first pass of MediaInfo security review.Nov 8 2018, 5:34 PM
Ramsey-WMF closed this task as Resolved.Nov 8 2018, 5:45 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

The first security review is done and fixes implemented. Waiting for follow-up review, which is scheduled to be in by Nov 12th.